Package org.gdal.gnm

## Class Network

- java.lang.Object
- - org.gdal.gdal.MajorObject
  - - org.gdal.gnm.Network

- Direct Known Subclasses:
    `GenericNetwork`

      public class Network
      extends MajorObject

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `CommitTransaction​()` |
    `Layer` | `CopyLayer​(Layer src_layer, java.lang.String new_name)` |
    `Layer` | `CopyLayer​(Layer src_layer, java.lang.String new_name, java.util.Vector options)` |
    `Layer` | `CreateLayer​(java.lang.String name)` |
    `Layer` | `CreateLayer​(java.lang.String name, SpatialReference srs)` |
    `Layer` | `CreateLayer​(java.lang.String name, SpatialReference srs, int geom_type)` |
    `Layer` | `CreateLayer​(java.lang.String name, SpatialReference srs, int geom_type, java.util.Vector options)` |
    `void` | `delete​()` |
    `int` | `DeleteLayer​(int index)` |
    `int` | `DisconnectAll​()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `Feature` | `GetFeatureByGlobalFID​(long GFID)` |
    `java.util.Vector` | `GetFileList​()` |
    `Layer` | `GetLayerByIndex​(int index)` |
    `Layer` | `GetLayerByName​(java.lang.String layer_name)` |
    `int` | `GetLayerCount​()` |
    `java.lang.String` | `GetName​()` |
    `Layer` | `GetPath​(long nStartFID, long nEndFID, GraphAlgorithm eAlgorithm)` |
    `Layer` | `GetPath​(long nStartFID, long nEndFID, GraphAlgorithm eAlgorithm, java.util.Vector options)` |
    `java.lang.String` | `GetProjection​()` |
    `java.lang.String` | `GetProjectionRef​()` |
    `int` | `GetVersion​()` |
    `int` | `hashCode​()` |
    `int` | `RollbackTransaction​()` |
    `int` | `StartTransaction​()` |
    `int` | `StartTransaction​(int force)` |
    `boolean` | `TestCapability​(java.lang.String cap)` |

    - ### Methods inherited from class org.gdal.gdal.MajorObject

      `GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataDomainList, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete​()

      Overrides:
        `delete` in class `MajorObject`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetVersion

          public int GetVersion​()

    - #### GetName

          public java.lang.String GetName​()

    - #### GetFeatureByGlobalFID

          public Feature GetFeatureByGlobalFID​(long GFID)

    - #### GetPath

          public Layer GetPath​(long nStartFID,
                               long nEndFID,
                               GraphAlgorithm eAlgorithm,
                               java.util.Vector options)

    - #### GetPath

          public Layer GetPath​(long nStartFID,
                               long nEndFID,
                               GraphAlgorithm eAlgorithm)

    - #### DisconnectAll

          public int DisconnectAll​()

    - #### GetProjection

          public java.lang.String GetProjection​()

    - #### GetProjectionRef

          public java.lang.String GetProjectionRef​()

    - #### GetFileList

          public java.util.Vector GetFileList​()

    - #### CreateLayer

          public Layer CreateLayer​(java.lang.String name,
                                   SpatialReference srs,
                                   int geom_type,
                                   java.util.Vector options)

    - #### CreateLayer

          public Layer CreateLayer​(java.lang.String name,
                                   SpatialReference srs,
                                   int geom_type)

    - #### CreateLayer

          public Layer CreateLayer​(java.lang.String name,
                                   SpatialReference srs)

    - #### CreateLayer

          public Layer CreateLayer​(java.lang.String name)

    - #### CopyLayer

          public Layer CopyLayer​(Layer src_layer,
                                 java.lang.String new_name,
                                 java.util.Vector options)

    - #### CopyLayer

          public Layer CopyLayer​(Layer src_layer,
                                 java.lang.String new_name)

    - #### DeleteLayer

          public int DeleteLayer​(int index)

    - #### GetLayerCount

          public int GetLayerCount​()

    - #### GetLayerByIndex

          public Layer GetLayerByIndex​(int index)

    - #### GetLayerByName

          public Layer GetLayerByName​(java.lang.String layer_name)

    - #### TestCapability

          public boolean TestCapability​(java.lang.String cap)

    - #### StartTransaction

          public int StartTransaction​(int force)

    - #### StartTransaction

          public int StartTransaction​()

    - #### CommitTransaction

          public int CommitTransaction​()

    - #### RollbackTransaction

          public int RollbackTransaction​()